Hailo Network IP Ltd | Which version of the Hailo app is requir...

Help Center

Which version of the Hailo app is required?

Last Updated: May 06, 2014 11:26AM BST
Both administrators and company staff should have at least version 3.7 of the Hailo app but it is always best to check that you have the latest version from either the Google Play store or iTunes Store.
Was this answer helpful?